API Reference
Get Property
Full listing detail including pricing, availability, sale and rental flags, building linkage, and freshness metadata. Related fees, price history, and open houses are available via dedicated subresource endpoints.
Tier: Starter+
GET
/
property
/
{id}
Get listing detail
curl --request GET \
--url https://borough.qwady.app/v1/property/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://borough.qwady.app/v1/property/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://borough.qwady.app/v1/property/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"address": {
"street": "157 West 57th Street",
"unit": "#48B"
},
"price": 123,
"netEffective": 123,
"monthsFree": 123,
"leaseTermMonths": 123,
"bedroomCount": 123,
"fullBathroomCount": 123,
"halfBathroomCount": 123,
"sqft": 123,
"pricePerSqft": 123,
"areaName": "<string>",
"areaId": 123,
"geoPoint": {
"latitude": 40.7654,
"longitude": -73.9791
},
"leadPhotoKey": "<string>",
"sourceGroupLabel": "<string>",
"urlPath": "<string>",
"listedAt": "2023-12-25",
"listedAtIsApproximate": true,
"availableAt": "2023-12-25",
"daysOnMarket": 123,
"buildingId": "<string>",
"buildingScores": {
"healthScore": 123,
"noiseScore": 123,
"safetyScore": 123,
"transitScore": 123,
"violationsOpen": 123,
"updatedAt": "<string>"
},
"noFee": true,
"detailScraped": true,
"priceDelta": 123,
"petsAllowed": true,
"amenities": [
"<string>"
],
"furnished": true,
"floorPlanKey": "<string>",
"has3dTour": true,
"hasVideo": true,
"priceChangedAt": "2023-11-07T05:31:56Z",
"maintenance": 123,
"commonCharges": 123,
"propertyTax": 123,
"virtualTourUrl": "<string>",
"internetProviders": {
"source": "fcc_bdc",
"fccLocationId": 123,
"blockGeoid": "<string>",
"matchedAddress": "<string>",
"unitCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"providers": [
{
"providerId": 123,
"providerName": "<string>",
"holdingCompanyName": "<string>",
"technologyCode": 123,
"technologyLabel": "<string>",
"maxDownloadMbps": 123,
"maxUploadMbps": 123,
"lowLatency": true
}
],
"disclaimer": "<string>"
},
"photos": [
"<string>"
]
},
"meta": {
"dataAge": "2023-11-07T05:31:56Z",
"freshnessThreshold": 123,
"refreshTriggered": true,
"detailScraped": true
}
}Listing detail responses include the building-linked
internetProviders block when Borough has FCC broadband availability data for the underlying building or Census block.
This product uses FCC APIs and/or Data but is not endorsed or certified by the FCC.
Previous
Get Property by URLFind a listing using its URL path (e.g., `/building/one57-condominium/48b`).
**Tier:** Starter+
Next
⌘I
Get listing detail
